[ОТВЕТИТЬ]
Опции темы
04.01.2016 22:53  
DjSpike
Подскажите как быть. ubuntu 14.04 x64. Поставил JaCarta ГОСТ для Linux (x64) и JaCarta PKI для Linux (x64) , установил . Вставляю ключ JaCarta, перезагружаю комп. После перезагрузки проверяю работу транспорта на 127.0.0.1:8080 - тишина. Вручную перезапускаю : sudo utm start. Смотрю в логи /otp/utm/transport/log/ , там ошибку выдает java (сейчас компьютера нет под рукой точнее не могу сказать). т.е. утм-транспорт не запускается.
Попробовал тоже самое но на ubuntu x32. Так для нее только и ситуация аналогичная транспорт не запускается...
 
05.01.2016 07:27  
OlegON
Чтобы расширить круг тех, кто может ответить на вопрос, текст ошибки все же привести придется... Там точно sudo должно быть? Из под кого utm работает?
 
08.01.2016 09:37  
Алексей "ЛИНИЯ ПОС"
ПО версии 1.0.6 по последней ссылке у вас и не запустится по причине
Цитата:
Росалкогольрегулирование сообщает, что по техническим причинам тестовый контур системы ЕГАИС начиная с 15.12.2015 перестает обрабатывать запросы от УТМ версией менее чем 1.0.7.
А по поводу версии 2.0.1, проверьте с помощью другого ПК что JaCarta отвечает всем требованиям ФСРАР , а также, что сертификат не является тестовым, установлено ли ПО от "Аладдин Р.Д." для работы с JaCarta в ОС Ubuntu.

скрытое
 
31.03.2016 21:50  
DjSpike
На ubuntu x64. удалось запустить UTM 2.0.1 и он без проблем обновился до версии 2.0.2. Теперь бы найти utm для x32.
 
04.04.2016 09:30  
macclaud
Коллеги, нужно думать шире ))
Так как программа написана на java то непосредственно ее запуск зависит только от разрядности jre.
1. смотрите пакет для x64 - что куда ставиться. Благо через mc его можно просматривать как архив.
2. Руками копируете все что нужно и куда нужно.
3. Заменяете jre x64 на jre x86
4. Ставите библиотеки Jacarta x86
5. так же не забываем скопировать в папки ./lib/x32_so библиотеки аналогичные ./lib/x64_so

Так же при запуске смотрите логи и доделываете то о чем вас просит тот же updater.
 
"Спасибо" macclaud от:
04.04.2016 12:13  
baggio
Цитата:
Сообщение от macclaud
Коллеги, нужно думать шире ))
Так как программа написана на java то непосредственно ее запуск зависит только от разрядности jre.
1. смотрите пакет для x64 - что куда ставиться. Благо через mc его можно просматривать как архив.
2. Руками копируете все что нужно и куда нужно.
3. Заменяете jre x64 на jre x86
4. Ставите библиотеки Jacarta x86
5. так же не забываем скопировать в папки ./lib/x32_so библиотеки аналогичные ./lib/x64_so

Так же при запуске смотрите логи и доделываете то о чем вас просит тот же updater.
если бы был бы манул более подробный было вообще супер...
 
04.04.2016 13:23  
macclaud
Не на чем мануал писать :) Все машины x64. Хотя в ближайшее время с теста вернется raspberry pi 2 на ARMv7, там суть та же. На ее основе напишу, если будет актуально.
 
17.04.2016 01:48  
DjSpike
Если администрация форума не против то вот ссылка УТМ 2.0.2 для Ubuntu x32

https://storage.olegon.ru/supermag/u...2-2.0.2-802.7z
44f51fcd29407a6e8dbcadaaae82599e u-trans-32-2.0.2-802.7z

OlegON:
Переложил. Убедительная просьба к дистрибутивным вещам прикладывать MD5
 
"Спасибо" DjSpike от:
04.07.2016 16:11  
winmasta
Ubuntu 16.04 x64 все установил по инструкции, в логе ошибка

/opt/utm/transport/bin/transport.sh: 123: exec: /opt/utm/jre/bin/java: not found

хотя файл конечно на месте, правда ключ еще не было возможности воткнуть.
 
06.07.2016 07:07  
winmasta
Цитата:
Сообщение от winmasta
Ubuntu 16.04 x64 все установил по инструкции, в логе ошибка

/opt/utm/transport/bin/transport.sh: 123: exec: /opt/utm/jre/bin/java: not found

хотя файл конечно на месте, правда ключ еще не было возможности воткнуть.
Воткнул ключ, ребутнулся, та же ошибка.
 
 


Опции темы



Часовой пояс GMT +3, время: 09:59.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.